Name: mygui
Version: 2.2.3
Release: alt1
Summary: MyGUI is a graphical user interface library developed especialy for using with Ogre (http://www.ogre3d.org)
License: LGPLv2+
Group: System/Libraries
Url: http://www.ogre3d.org/wiki/index.php/MyGUI
Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>
Source0: %name-%version.tar.gz
Patch: %name-%version-alt-changes.patch
Source1: %name.png

# Automatically added by buildreq on Mon Jul 20 2009
BuildRequires: doxygen gcc-c++ libfreetype-devel libogre-devel libois-devel libuuid-devel graphviz

%description
MyGUI, it is a GUI library for Ogre Rendering Engine. We pursue
next targets: GUI have to be fast, flexible and simple in using.

Speed
We are working above productivity. We have already own variant
of Overlays for the text and for the simple rectangles, allowing
uniting them in one batch. In the future it is planned some more
modifications for improvement of result.

Flexibility
The library supports plug-ins that allows to use your own widgets,
which can be loaded in realtime. Loading description of the majority
of parameters, from XML files, and as creation skins in process.
Loading skins, layouts, descriptions of a plane of overlapping,
cursors and fonts. Creation of skins in a code. Support of parsing
of some parameters for widget, for management of a condition widget,
for example, at loading from XML.

Simplicity
The interface for use is done as much as possible clear. Use of
delegates, this disappears necessity for inheritance for reception
of messages. In addition: support an alpha effects. The coloring
text in one line. Skins, consisting from unlimited quantity pieces.
Unlimited quantity of widget condition's (for developers).

This package contains ImageSetViewer and LayoutEditor.

%package -n lib%name
Summary: Shared library for MyGUI
Group: System/Libraries

%description -n lib%name
MyGUI, it is a GUI library for Ogre Rendering Engine. We pursue
next targets: GUI have to be fast, flexible and simple in using.

This package contains the shared library for package MyGUI.

%package -n lib%name-devel
Summary: MyGUI header files and documentation
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
MyGUI, it is a GUI library for Ogre Rendering Engine. We pursue
next targets: GUI have to be fast, flexible and simple in using.

Include Files and Libraries mandatory for Development with
MyGUI.

%package demo
Summary: Some demo applications for MyGUI
Group: Development/Other
Requires: %name = %version-%release

%description demo
MyGUI, it is a GUI library for Ogre Rendering Engine. We pursue
next targets: GUI have to be fast, flexible and simple in using.

This package contains some demo applications for package MyGUI.

%prep
%setup -q
%patch -p1

%build
sh bootstrap
%configure
make

pushd Docs
        doxygen -u 2> /dev/null
        doxygen Doxyfile
popd

%install
make install DESTDIR=$RPM_BUILD_ROOT

# binaries are not installed .. so DIYS
%__install -dm 755 %buildroot%_bindir
%__install -m 755 Tools/ImageSetViewer/.libs/ImageSetViewer \
        %buildroot%_bindir
%__install -m 755 Tools/LayoutEditor/.libs/LayoutEditor \
        %buildroot%_bindir

# install demo apps
pushd Demos
        myList=`find . -name '.libs'`
        for i in $myList; do
                pushd $i
                        %__install Demo_* \
                                %buildroot%_bindir
                popd
        done
        # rename Demo_* to %name-Demo_* to avoid name-clashes with other packages
        pushd %buildroot%_bindir
                myList=`ls -1 Demo_*`
                for i in $myList; do
                        %__mv $i %name-$i
                done
        popd
popd

# wrapper-script for binaries
%__cat > %name <<EOF
#! /bin/bash
if [ -z "\$1" ]; then
        echo "missing parameter..."
        echo ""
        echo "usage:"
        echo "\$0 LayoutEditor"
        echo "\$0 ImageSetViewer"
        echo ""
        echo "or one of the installed demo applications:"
        myDemos=\`ls -1 %_bindir/%name-Demo_*\`
        echo \$myDemos | sed -e 's|%_bindir/||g'
        exit 1
fi

# create local working directory
if [ ! -d \$HOME/.%name ]; then
        mkdir -p \$HOME/.%name/Shared/linux

        # link the resources to local dir
        ln -s %_datadir/%name/Media \$HOME/.%name
        # config should be user writeable
        cp %_datadir/%name/*.cfg \$HOME/.%name/Shared/linux
fi
# just in case some new files appear (update)
ln -sf %_datadir/%name/Media \$HOME/.%name

# call binary from local working-directory
cd \$HOME/.%name/Shared/linux
%_bindir/\$1
EOF

%__install -m 755 %name \
        %buildroot%_bindir

# install media files
%__install -dm 755 %buildroot%_datadir/%name
%__cp -a Media \
        %buildroot%_datadir/%name
%__install -m 644 Shared/linux/*.cfg \
        %buildroot%_datadir/%name
# use system fonts
#pushd %buildroot%_datadir/%name/Media/MyGUI_Media
#        %__rm DejaVuSans*.ttf
#        ln -s %_datadir/fonts/truetype/DejaVuSans.ttf .
#        ln -s %_datadir/fonts/truetype/DejaVuSans-ExtraLight.ttf .
#popd

# icon
%__install -dm 755 %buildroot%_datadir/pixmaps
%__install -m 644 %SOURCE1 \
        %buildroot%_datadir/pixmaps

# menu-entries
%__install -dm 755 %buildroot%_datadir/applications
%__cat > %buildroot%_datadir/applications/LayoutEditor.desktop << EOF
[Desktop Entry]
Name=MyGUI-LayoutEditor
GenericName=MyGUI-LayoutEditor
Comment=%summary
Exec=%name LayoutEditor
Icon=%name
Terminal=false
Type=Application
Categories=Development;IDE;
EOF

%__cat > %buildroot%_datadir/applications/ImageSetViewer.desktop << EOF
[Desktop Entry]
Name=MyGUI-ImageSetViewer
GenericName=MyGUI-ImageSetViewer
Comment=%summary
Exec=%name ImageSetViewer
Icon=%name
Terminal=false
Type=Application
Categories=Development;IDE;
EOF

sed -i 's|^PluginFolder=.*$|PluginFolder=%_libdir/OGRE|' \
    %buildroot%_datadir/%name/plugins.cfg

%files
%doc ChangeLog* Readme.txt
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%_datadir/pixmaps/*
%exclude %_bindir/%name-Demo*
%exclude %_datadir/%name/Media/Demos

%files -n lib%name
%_libdir/libmygui.so.0*

%files -n lib%name-devel
%_libdir/libmygui.so
%_libdir/pkgconfig/*.pc
%_includedir/MYGUI

%files demo
%_bindir/%name-Demo*
%_datadir/%name/Media/Demos

%changelog
* Tue Oct 06 2009 Slava Dubrovskiy <dubrsl@altlinux.ru> 2.2.3-alt1
- New version

* Sun Jul 19 2009 Slava Dubrovskiy <dubrsl@altlinux.ru> 2.2.2-alt1
- Build for ALT
